openssl_pkey_get_public
openssl_private_decrypt
OpenSSL Functions
PHP Manual

# openssl_pkey_new

(PHP 4 >= 4.2.0, PHP 5)

openssl_pkey_new — Generates a new private key

### Description

resource openssl_pkey_new ([ array `$configargs` ] )

openssl_pkey_new() generates a new private and public key pair. The public component of the key can be obtained using openssl_pkey_get_public().

> Note: You need to have a valid openssl.cnf installed for this function to operate correctly. See the notes under the installation section for more information.

### Parameters

`configargs`

  You can finetune the key generation (such as specifying the number of bits) using `configargs` . See openssl_csr_new() for more information about `configargs` .

### Return Values

Returns a resource identifier for the pkey on success, or `FALSE` on error.

openssl_pkey_get_public
openssl_private_decrypt
OpenSSL Functions
PHP Manual